Customer
GET
/customersList
List all customers for the current application country.
Supports both page-based and cursor-based pagination.
Requires: Bearer token, X-Country header.
Request
Example
curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/customers/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[allow_charge]=&filter[allow_payout]=&filter[allow_transfer]=&filter[created_at]=&filter[email]=&filter[id]=&filter[labels]=&filter[phone]=&filter[updated_at]=' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}' \
-H 'X-Test-Mode: {{x_test_mode}}'Headers
| Name | Value |
|---|---|
| X-Session-Token | {{session_token}} |
| X-Country | {{country}} |
| X-Test-Mode | {{x_test_mode}} |
Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"is_application_customer": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"metadata": {},
"labels": "<core.Labels>",
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
}
],
"page": 1,
"limit": 10,
"total_items": 1,
"total_pages": 1
}